org.apache.axiom.util.stax

## Class DummyLocation

- java.lang.Object
- - org.apache.axiom.util.stax.DummyLocation

- All Implemented Interfaces:
    javax.xml.stream.Location

      public class DummyLocation
      extends Object
      implements javax.xml.stream.Location

  Dummy `Location` implementation. It always returns -1 for the location and `null` for the publicId and systemId. It may be used by `XMLStreamReader` implementations that don't support the concept of location.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DummyLocation` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DummyLocation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCharacterOffset()`
    `int` | `getColumnNumber()`
    `int` | `getLineNumber()`
    `String` | `getPublicId()`
    `String` | `getSystemId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DummyLocation INSTANCE

  - ### Constructor Detail

    - #### DummyLocation

          protected DummyLocation()

  - ### Method Detail

    - #### getLineNumber

          public int getLineNumber()

      Specified by:
        `getLineNumber` in interface `javax.xml.stream.Location`

    - #### getColumnNumber

          public int getColumnNumber()

      Specified by:
        `getColumnNumber` in interface `javax.xml.stream.Location`

    - #### getCharacterOffset

          public int getCharacterOffset()

      Specified by:
        `getCharacterOffset` in interface `javax.xml.stream.Location`

    - #### getPublicId

          public String getPublicId()

      Specified by:
        `getPublicId` in interface `javax.xml.stream.Location`

    - #### getSystemId

          public String getSystemId()

      Specified by:
        `getSystemId` in interface `javax.xml.stream.Location`

Copyright © The Apache Software Foundation. All Rights Reserved.